Name:          gloox
Version:       1.0.28
Release:       1mamba
Summary:       A rock-solid, full-featured Jabber/XMPP client library, written in clean ANSI C++
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://camaya.net/gloox/
Source:        http://camaya.net/download/gloox-%{version}.tar.bz2
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libgnutls-devel
BuildRequires: libidn-devel
BuildRequires: libstdc++6-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description
gloox is a rock-solid, full-featured Jabber/XMPP client library, written in clean ANSI C++. It makes writing spec-compliant clients easy and allows for hassle-free integration of Jabber/XMPP functionality into existing applications.

%package -n lib%{name}
Group:         System/Libraries
Summary:       A rock-solid, full-featured Jabber/XMPP client library, written in clean ANSI C++

%description -n lib%{name}
gloox is a rock-solid, full-featured Jabber/XMPP client library, written in clean ANSI C++. It makes writing spec-compliant clients easy and allows for hassle-free integration of Jabber/XMPP functionality into existing applications.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libgloox.so.*
%doc AUTHORS COPYING LICENSE

%files -n lib%{name}-devel
%defattr(-,root,root)
%{_bindir}/gloox-config
%dir %{_includedir}/gloox
%{_includedir}/gloox/*.h
%{_libdir}/libgloox.a
%{_libdir}/libgloox.so
%{_libdir}/pkgconfig/gloox.pc
%doc ChangeLog README TODO

%changelog
* Thu Nov 23 2023 Automatic Build System <autodist@mambasoft.it> 1.0.28-1mamba
- automatic version update by autodist

* Wed Apr 26 2023 Automatic Build System <autodist@mambasoft.it> 1.0.27-1mamba
- automatic version update by autodist

* Mon Mar 20 2023 Automatic Build System <autodist@mambasoft.it> 1.0.26-1mamba
- automatic version update by autodist

* Sun Mar 19 2023 Automatic Build System <autodist@mambasoft.it> 1.0.25-1mamba
- automatic version update by autodist

* Wed Jul 29 2020 Automatic Build System <autodist@mambasoft.it> 1.0.24-1mamba
- automatic version update by autodist

* Tue Jan 14 2020 Automatic Build System <autodist@mambasoft.it> 1.0.23-1mamba
- automatic version update by autodist

* Mon Jan 28 2019 Automatic Build System <autodist@mambasoft.it> 1.0.22-1mamba
- automatic version update by autodist

* Fri Jul 20 2018 Automatic Build System <autodist@mambasoft.it> 1.0.21-1mamba
- automatic version update by autodist

* Wed May 10 2017 Automatic Build System <autodist@mambasoft.it> 1.0.20-1mamba
- automatic version update by autodist

* Fri Mar 03 2017 Automatic Build System <autodist@mambasoft.it> 1.0.19-1mamba
- automatic version update by autodist

* Mon Oct 31 2016 Automatic Build System <autodist@mambasoft.it> 1.0.17-1mamba
- automatic version update by autodist

* Fri Nov 20 2015 Automatic Build System <autodist@mambasoft.it> 1.0.14-1mamba
- automatic version update by autodist

* Sun Mar 15 2015 Automatic Build System <autodist@mambasoft.it> 1.0.13-1mamba
- automatic version update by autodist

* Mon Nov 24 2014 Automatic Build System <autodist@mambasoft.it> 1.0.12-1mamba
- automatic version update by autodist

* Thu Sep 18 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.11-1mamba
- update to 1.0.11

* Mon Nov 04 2013 Automatic Build System <autodist@mambasoft.it> 1.0.9-1mamba
- automatic version update by autodist

* Tue Sep 24 2013 Automatic Build System <autodist@mambasoft.it> 1.0.6-1mamba
- automatic version update by autodist

* Mon Jul 08 2013 Automatic Build System <autodist@mambasoft.it> 1.0.2-1mamba
- automatic version update by autodist

* Sat May 25 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0-1mamba
- package created by silvan using the webbuild interface
